Package Gnumed :: Package timelinelib :: Package view :: Module periodevent :: Class CreatePeriodEventByDragInputHandler |
[frames] | no frames]

# Class CreatePeriodEventByDragInputHandler

source code

                           object --+
                                    |
            inputhandler.InputHandler --+
                                        |
        scrollbase.ScrollViewInputHandler --+
                                            |
    periodbase.SelectPeriodByDragInputHandler --+
                                                |
                                               CreatePeriodEventByDragInputHandler

Instance Methods
__init__(self, controller, view, initial_time) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
end_action(self) | source code
Inherited from `periodbase.SelectPeriodByDragInputHandler`: `get_current_period`, `get_last_valid_period`, `left_mouse_up`, `mouse_moved`, `view_scrolled` Inherited from `scrollbase.ScrollViewInputHandler`: `dragscroll_timer_fired` Inherited from `inputhandler.InputHandler`: `balloon_hide_timer_fired`, `balloon_show_timer_fired`, `left_mouse_down` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, controller, view, initial_time) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### end_action(self) | source code
Overrides: periodbase.SelectPeriodByDragInputHandler.end_action